# Uses of Interface
org.eclipse.emf.cdo.common.admin.CDOAdminRepository

Packages that use CDOAdminRepository
Package
Description
org.eclipse.emf.cdo.admin
Client side of the protocol to administer CDO repositories remotely.
org.eclipse.emf.cdo.common.admin
Common concepts for the protocol to administer CDO repositories remotely.
org.eclipse.emf.cdo.spi.common.admin
Common concepts for dealing with protocols and CDO administration-specific I/O.

## Uses of CDOAdminRepository in org.eclipse.emf.cdo.admin

Subinterfaces of CDOAdminRepository in org.eclipse.emf.cdo.admin
Modifier and Type
Interface
Description
`interface`
`CDOAdminClientRepository`
A client-side `administrative interface` to a remote repository.

## Uses of CDOAdminRepository in org.eclipse.emf.cdo.common.admin

Methods in org.eclipse.emf.cdo.common.admin that return CDOAdminRepository
Modifier and Type
Method
Description
`CDOAdminRepository`
CDOAdmin.`createRepository(String name, String type, Map<String,Object> properties)`
Creates a new remote `repository` and returns its administrative interface.
`CDOAdminRepository[]`
CDOAdmin.`getRepositories()`
`CDOAdminRepository`
CDOAdmin.`getRepository(String name)`
`CDOAdminRepository`
CDOAdmin.`waitForRepository(String name)`

## Uses of CDOAdminRepository in org.eclipse.emf.cdo.spi.common.admin

Methods in org.eclipse.emf.cdo.spi.common.admin that return CDOAdminRepository
Modifier and Type
Method
Description
`CDOAdminRepository`
AbstractCDOAdmin.`createRepository(String name, String type, Map<String,Object> properties)`
`CDOAdminRepository[]`
AbstractCDOAdmin.`getRepositories()`
`CDOAdminRepository`
AbstractCDOAdmin.`getRepository(String name)`
`protected CDOAdminRepository[]`
AbstractCDOAdmin.`sortElements(CDOAdminRepository[] array)`
`CDOAdminRepository`
AbstractCDOAdmin.`waitForRepository(String name)`
Methods in org.eclipse.emf.cdo.spi.common.admin with parameters of type CDOAdminRepository
Modifier and Type
Method
Description
`boolean`
AbstractCDOAdmin.`deleteRepository(CDOAdminRepository repository, String type)`
`protected CDOAdminRepository[]`
AbstractCDOAdmin.`sortElements(CDOAdminRepository[] array)`
`protected boolean`
AbstractCDOAdmin.`validateElement(CDOAdminRepository repository)`